<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>	
		<record id="action_create_pengangkatan_pertama_ahli_terampil_form_view" model="ir.ui.view">
            <field name="name">pengajuan.layanan.pengangkatan.pertama.form</field>
            <field name="model">pengajuan.layanan.pengangkatan.pertama</field>
            <field name="arch" type="xml">
                <form string="Form Pengajuan Pengangkatan Pertama" version="7.0">
                    <header></header>
                    <sheet>
                    <group>
							<group string="Data Pegawai">
								<field name="user_id" readonly="True" string="Nama"/>
								<field name="nip" readonly="True"/>
								<field name="golongan_id" readonly="True"/>	
								<field name="department_id" readonly="True"/>	
								<field name="job_id" readonly="True"/>	
							</group>
					</group>	

                	<group>
                        <group string="Data Formasi">
                                <field name="company_id"/>           
                            	<field name="formasi_id" />
                            	<field name="layanan_type_id" />
                            	<field name="tanggal_pengajuan" readonly="True" />
								<field name="notes" />
								<field name="periode_pengajuan" invisible="True"/>
								<field name="tingkat_jabatan_id"  readonly="True"/>
						</group>
					</group>
					
					<group string="Persyaratan Lain">
								<field name="nilai_skp"  attrs="{'required':[('layanan_type_id','in',['inpassing', 'cpns', 'pindah_jabatan'])]}" />
								<field name="nilai_pak"  attrs="{'required':[('layanan_type_id','in',[ 'cpns', 'pindah_jabatan'])],'invisible':[('layanan_type_id','not in',['inpassing', 'cpns', 'pindah_jabatan'])]}" />
								<field name="file_skp"  attrs="{'required':[('layanan_type_id','in',['inpassing', 'cpns', 'pindah_jabatan'])]}" />
								<field name="file_pak"  attrs="{'required':[('layanan_type_id','in',[ 'cpns', 'pindah_jabatan'])],'invisible':[('layanan_type_id','not in',['inpassing', 'cpns', 'pindah_jabatan'])]}" />	
								<field name="sk_golongan_id"  attrs="{'required':[('layanan_type_id','in',['inpassing', 'cpns', 'pindah_jabatan'])]}"  widget="selection"/>
								<field name="ijazah_pendidikan_id"  attrs="{'required':[('layanan_type_id','in',['inpassing', 'cpns', 'pindah_jabatan'])]}"  widget="selection"/>
								<field name="sk_rekomendasi_instansi_pembina"  attrs="{'required':[('layanan_type_id','in',[ 'cpns', 'pindah_jabatan'])],'invisible':[('layanan_type_id','not in',[ 'cpns', 'pindah_jabatan'])]}"  widget="selection"/>
								<field name="kepgub_pindah_jabatan"  attrs="{'required':[('layanan_type_id','in',[ 'pindah_jabatan'])],'invisible':[('layanan_type_id','not in',[ 'pindah_jabatan'])]}"  widget="selection"/>
								<field name="file_sertifikat_diklat"  attrs="{'required':[('layanan_type_id','in',[ 'cpns', 'pindah_jabatan'])],'invisible':[('layanan_type_id','not in',[ 'cpns', 'pindah_jabatan'])]}" widget="selection"/>					
					</group>
						
					<hr/>
                    </sheet>
                     <footer>
                        <button string='Buat Draft' confirm="Apakah anda yakin telah mengisi data dengan benar ?" context="{'state':'draft'}" 
                        		name="action_create_pengangkatan_pertama" type="object"/>
                        
                        <button string='Ajukan Ke OPD' confirm="Apakah anda yakin telah mengisi data dengan benar ?" context="{'state':'propose'}" 
                        		name="action_create_pengangkatan_pertama" type="object" class="oe_highlight" />
                        or
                        <button string="Cancel" class="oe_link" special="cancel"/>
                    </footer>
               </form>
            </field>
        </record>
	</data>
</openerp>